# Spiffup

Make your stdout shine

## Presentation

This library provides means to 'prettify' output in Ruby.

## Installation

### Gemfile
```ruby
gem 'spiffup'
```

### Terminal
```bash
gem install -V spiffup
```

## Usage

### Output colorization via tags

Output can be colorized simply by adding tags within the text:
The *RST* tag can be used to reset the color.
Bold text can be produced by using the 'BXXX' tag constants (BGREEN, BRED, ...).

```ruby
require 'spiffup'
puts "This is #{Spiffup::GREEN}green#{Spiffup::RST}"
```

### Direct string colorization

Entire strings can be directly colorized by using the monkey-patched methods _.red_, _.green_, _.blue_, ...
Also available are _.bred_, _.bgreen_, _.bblue_ methods for *bold* text.

```ruby
require 'spiffup'
currency = 'CHF'
amount = 52.4
price = "#{amount} #{currency}"
puts "Total price: #{price.green}"
```

### Disabling colors

It may happen that a project should be configurable, such that in some environments it produces color output but not in some others.

This can be addressed via the _disable_color_ method - calling it will disable all color output (no control characters will be produced):

```ruby
require 'spiffup'
Spiffup.disable_color unless CONFIG[:color_enabled]
```

### Available Colors

The 8 classical terminal colors are available as the following:

* black
* red
* green
* brown
* blue
* magenta
* cyan
* gray

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
